/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2020 SEGGER Microcontroller GmbH                  *
*                                                                    *
*       Internet: segger.com  Support: support_embos@segger.com      *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: Internal                                         *
*                                                                    *
*       Current version number will be inserted here                 *
*       when shipment is built.                                      *
*                                                                    *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------
Purpose : Maps altera semaphore types and functions to embOS functions

*/

#ifndef __ALT_SEM_H__
#define __ALT_SEM_H__

#include "priv/alt_sem_embos.h"         /* contains implementation  */

/*********************************************************************
*
*       Defines
*
**********************************************************************
*/
#define ALT_SEM(sem)                 OS_SEMAPHORE sem;
#define ALT_EXTERN_SEM(sem)          extern OS_SEMAPHORE sem;
#define ALT_STATIC_SEM(sem)          static OS_SEMAPHORE sem;

#define ALT_SEM_CREATE(sem, value)   alt_sem_create   (sem, value)
#define ALT_SEM_PEND(sem, timeout)   alt_sem_pend     (&sem, timeout)
#define ALT_SEM_POST(sem)            OS_SEMAPHORE_Give(&sem)

#endif

/*************************** End of file ****************************/
