/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2020 SEGGER Microcontroller GmbH                  *
*                                                                    *
*       Internet: segger.com  Support: support_embos@segger.com      *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: Internal                                         *
*                                                                    *
*       Current version number will be inserted here                 *
*       when shipment is built.                                      *
*                                                                    *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------
Purpose : Provides embOS thread safe locking of heap management
*/

#include <reent.h>
#include "RTOS.h"

/*********************************************************************
*
*       Prototypes
*
**********************************************************************
*/
#ifdef __cplusplus
  extern "C" {
#endif

void __malloc_lock  (struct _reent *_r );
void __malloc_unlock(struct _reent *_r );

#ifdef __cplusplus
  }
#endif

/*********************************************************************
*
*       Global functions
*
**********************************************************************
*/

/*********************************************************************
*
*       __malloc_lock()
*/
void __malloc_lock ( struct _reent *_r ) {
  (void) _r;        // Not needed for embOS malloc
  OS_MallocLock();  // In the embOS library
}

/*********************************************************************
*
*       __malloc_unlock()
*/
void __malloc_unlock ( struct _reent *_r ) {
  (void) _r;          // Not needed for embOS malloc
  OS_MallocUnlock();  // In the embOS library
}

/*************************** End of file ****************************/
