/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2020 SEGGER Microcontroller GmbH                  *
*                                                                    *
*       Internet: segger.com  Support: support_embos@segger.com      *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: Internal                                         *
*                                                                    *
*       Current version number will be inserted here                 *
*       when shipment is built.                                      *
*                                                                    *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------
Purpose : embOS reentrancy initialization for embOS NIOS2.
          Instead of placing a reentrancy structure onto the local
          task stack for every task, we deliver this function which
          has to be called once just at the beginning of a task if
          non-reentrant NIOS library functions are used in that task.
*/

#include "RTOS.h"

/*********************************************************************
*
*       Global functions
*
**********************************************************************
*/

/*********************************************************************
*
*       OS_InitReent()
*
*  Function description
*    embOS reentrancy initialization
*/
void OS_InitReent(struct _reent * reent_struct) {
  OS_INT_Disable();
  _impure_ptr = reent_struct;
  _REENT_INIT_PTR(_impure_ptr);
  OS_INT_EnableConditional();
}

/*************************** End of file ****************************/
