/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2020 SEGGER Microcontroller GmbH                  *
*                                                                    *
*       Internet: segger.com  Support: support_embos@segger.com      *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: Internal                                         *
*                                                                    *
*       Current version number will be inserted here                 *
*       when shipment is built.                                      *
*                                                                    *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------
Purpose : Defines semaphore handling functions of embOS which are used
          in NIOS HAL
*/

#ifndef __ALT_FLAG_H__
#define __ALT_FLAG_H__

#include "priv/alt_flag_embos.h"

/*********************************************************************
*
*       Defines
*
**********************************************************************
*/
#define ALT_FLAG_GRP(group)                             OS_EVENT group;
#define ALT_EXTERN_FLAG_GRP(group)                      OS_EVENT group;
#define ALT_STATIC_FLAG_GRP(group)                      OS_EVENT group;
#define ALT_FLAG_CREATE(pgroup, flags)                  alt_flag_create(pgroup)
#define ALT_FLAG_PEND(group, flags, wait_type, timeout) alt_flag_pend(&group, timeout)
#define ALT_FLAG_POST(group, flags, opt)                alt_flag_post(&group)

#endif /* avoid multiple inclusion */

/*************************** End of file ****************************/
